
Ruby - Bug #883

Failure: test_handle_special_CROSSREF_no_underscore(TestRDocMarkupToHtmlCrossref)

12/15/2008 07:52 PM - znz (Kazuhiro NISHIYAMA)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version: 1.9.2   

ruby -v: ruby 1.9.1 (2008-12-15 revision 20750)

[i686-linux] 

Backport:  

Description

=begin

test failed with full path

% ruby-trunk -v

ruby 1.9.1 (2008-12-15 revision 20750) [i686-linux]

% ruby-trunk test/rdoc/test_rdoc_markup_to_html_crossref.rb

nil

Loaded suite test/rdoc/test_rdoc_markup_to_html_crossref

Started

.

Finished in 0.153602 seconds.

1 tests, 210 assertions, 0 failures, 0 errors, 0 skips

% ruby-trunk $(pwd)/test/rdoc/test_rdoc_markup_to_html_crossref.rb

nil

Loaded suite /home/kazu/wc/ruby-lang/trunk/test/rdoc/test_rdoc_markup_to_html_crossref

Started

F

Finished in 0.041989 seconds.

1. Failure:

test_handle_special_CROSSREF_no_underscore(TestRDocMarkupToHtmlCrossref)

[/home/kazu/wc/ruby-lang/trunk/test/rdoc/test_rdoc_markup_to_html_crossref.rb:87]:

Expected "

<a

href="../files/home/kazu/wc/ruby-lang/trunk/test/rdoc/rdoc_markup_to_html_crossref_reference_rb.html">/home/kazu/wc/ruby-la

ng/trunk/test/rdoc/rdoc_markup_to_html_crossref_reference.rb 

", not "

/home/kazu/wc/ruby-lang/trunk/test/rdoc/rdoc_markup_to_html_crossref_reference.rb 

".

1 tests, 29 assertions, 1 failures, 0 errors, 0 skips

%

=end

Related issues:

Related to Ruby - Bug #2066: Merge Latest RDoc/Ri Closed 09/09/2009

Related to Ruby - Feature #2635: Unbundle rdoc Rejected 01/23/2010

History

#1 - 12/16/2008 08:51 AM - drbrain (Eric Hodel)

- Category set to lib

- Assignee set to drbrain (Eric Hodel)

=begin
I cannot reproduce:

$ ruby19 -v

ruby 1.9.1 (2008-12-16 revision 20769) [i386-darwin9.5.0]

$ ruby19 test/rdoc/test_rdoc_markup_to_html_crossref.rb

nil

Loaded suite test/rdoc/test_rdoc_markup_to_html_crossref

Started

.

Finished in 0.078531 seconds.

1 tests, 210 assertions, 0 failures, 0 errors, 0 skips

$ ruby19 $(pwd)/test/rdoc/test_rdoc_markup_to_html_crossref.rb

nil

Loaded suite /Users/drbrain/Work/svn/ruby/trunk/test/rdoc/test_rdoc_markup_to_html_crossref

Started

.

Finished in 0.081387 seconds.

1 tests, 210 assertions, 0 failures, 0 errors, 0 skips

also, test-all passes for this test:

$ make test-all TESTS=rdoc/test_rdoc_markup_to_html_crossref.rb

./miniruby -I./lib -I.ext/common -I./- -r./ext/purelib.rb  ./runruby.rb --extout=.ext  -- "./test/runner.rb" rdoc/test_rdoc_markup_to_html_crossref.rb

nil

Loaded suite ./test/runner

Started

.

Finished in 0.086197 seconds.

1 tests, 210 assertions, 0 failures, 0 errors, 0 skips

=end

#2 - 12/17/2008 12:38 AM - znz (Kazuhiro NISHIYAMA)

=begin

another failure example:

% cd test

% ruby-trunk ../test/rdoc/test_rdoc_markup_to_html_crossref.rb

nil

Loaded suite ../test/rdoc/test_rdoc_markup_to_html_crossref

Started

F

Finished in 0.058379 seconds.

1. Failure:

test_handle_special_CROSSREF_no_underscore(TestRDocMarkupToHtmlCrossref) [../test/rdoc/test_rdoc_markup_to_html_crossref.rb:87]:

Expected "

<a href="../files/__/test/rdoc/rdoc_markup_to_html_crossref_reference_rb.html">../test/rdoc/rdoc_markup_to_html_crossref_reference.rb 

", not "

../test/rdoc/rdoc_markup_to_html_crossref_reference.rb 

".

1 tests, 29 assertions, 1 failures, 0 errors, 0 skips

%

=end

#3 - 12/17/2008 12:48 AM - candlerb (Brian Candler)

=begin

I cannot reproduce:

 I can reproduce here (Ubuntu Hardy)
ruby-1.9.1-preview2$ ruby19 -v

ruby 1.9.1 (2008-12-01 revision 20438) [i686-linux]

ruby-1.9.1-preview2$ ruby19 $(pwd)/test/rdoc/test_rdoc_markup_to_html_crossref.rb

Loaded suite /v/build/ruby-1.9.1-preview2/test/rdoc/test_rdoc_markup_to_html_crossref

Started

F

Finished in 0.046547 seconds.

1. Failure:

test_handle_special_CROSSREF_no_underscore(TestRDocMarkupToHtmlCrossref)

[/v/build/ruby-1.9.1-preview2/test/rdoc/test_rdoc_markup_to_html_crossref.rb:87]:

Expected "

<a

href="../files/v/build/ruby-1_9_1-preview2/test/rdoc/rdoc_markup_to_html_crossref_reference_rb.html">/v/build/ruby-1.9.1-preview2/test/rdoc/rdo

c_markup_to_html_crossref_reference.rb 

", not "

/v/build/ruby-1.9.1-preview2/test/rdoc/rdoc_markup_to_html_crossref_reference.rb 

".

1 tests, 29 assertions, 1 failures, 0 errors, 0 skips

And here's on another Hardy machine running trunk from yesterday:

ruby-svn$ ruby19 -v

ruby 1.9.1 (2008-12-16 revision 20768) [i686-linux]

brian@mappit:/v/downloads/ruby-svn$ ruby19 test/rdoc/test_rdoc_markup_to_html_crossref.rb

nil

Loaded suite test/rdoc/test_rdoc_markup_to_html_crossref

Started

.

Finished in 0.528887 seconds.

1 tests, 210 assertions, 0 failures, 0 errors, 0 skips

ruby-svn$ ruby19 $(pwd)/test/rdoc/test_rdoc_markup_to_html_crossref.rb

nil

Loaded suite /v/downloads/ruby-svn/test/rdoc/test_rdoc_markup_to_html_crossref

Started

F

Finished in 0.089370 seconds.

1. Failure:

test_handle_special_CROSSREF_no_underscore(TestRDocMarkupToHtmlCrossref)

[/v/downloads/ruby-svn/test/rdoc/test_rdoc_markup_to_html_crossref.rb:87]:

Expected "

<a

href="../files/v/downloads/ruby-svn/test/rdoc/rdoc_markup_to_html_crossref_reference_rb.html">/v/downloads/ruby-svn/test/rdoc/rdoc_markup_t

o_html_crossref_reference.rb 

", not "

/v/downloads/ruby-svn/test/rdoc/rdoc_markup_to_html_crossref_reference.rb 

".

1 tests, 29 assertions, 1 failures, 0 errors, 0 skips

=end

#4 - 02/06/2009 02:35 AM - znz (Kazuhiro NISHIYAMA)

- ruby -v set to ruby 1.9.1 (2008-12-15 revision 20750) [i686-linux] 

=begin

reported in [ruby-dev:37919], failed when path of source tree includes '-'.

=end

#5 - 02/14/2009 07:54 PM - nagachika (Tomoyuki Chikanaga)

=begin
I've found that test/rdoc/test_rdoc_markup_to_html_crossref.rb fails when full-path of source tree

contains '-', like "/usr/local/src/ruby-trunk/".

I have a tiny patch solves this test failure.

I'm not confident it's right way to fix the problem. Please examine it.

===================================================================

--- lib/rdoc/markup/to_html_crossref.rb (revision 22068)

+++ lib/rdoc/markup/to_html_crossref.rb (working copy)

@@ -65,7 +65,7 @@

# The key thing is that there must be at least

# one special character (period, slash, or

# underscore).

                 | [\/\w]+[_\/\.][\w\/\.]+

                 | [-\/\w]+[_\/\.][-\w\/\.]+

                 # Things that have markup suppressed

                 | \\[^\s]

=end

#6 - 03/09/2009 11:54 AM - nobu (Nobuyoshi Nakada)

=begin

Hi,

At Wed, 17 Dec 2008 00:30:45 +0900,

Kazuhiro NISHIYAMA wrote in [ruby-core:20599]:

another failure example:

% cd test

% ruby-trunk ../test/rdoc/test_rdoc_markup_to_html_crossref.rb

nil

Loaded suite ../test/rdoc/test_rdoc_markup_to_html_crossref

Started

F

Finished in 0.058379 seconds.

1. Failure:

test_handle_special_CROSSREF_no_underscore(TestRDocMarkupToHtmlCrossref)

[../test/rdoc/test_rdoc_markup_to_html_crossref.rb:87]:

Expected "

<a href="../files/__/test/rdoc/rdoc_markup_to_html_crossref_reference_rb.html">../test/rdoc/rdoc_markup_to_html_crossref_reference.rb 

", not "

../test/rdoc/rdoc_markup_to_html_crossref_reference.rb 

".

1 tests, 29 assertions, 1 failures, 0 errors, 0 skips

 Assuming the test is correct.

Index: lib/rdoc/markup/to_html_crossref.rb

--- lib/rdoc/markup/to_html_crossref.rb (revision 22822)

+++ lib/rdoc/markup/to_html_crossref.rb (working copy)

@@ -66,5 +66,5 @@ class RDoc::Markup::ToHtmlCrossref < RDo

# one special character (period, slash, or

# underscore).

                 | [\/\w]+[_\/\.][\w\/\.]+

                 | (?:\.\.\/)*[-\/\w]+[_\/\.][-\w\/\.]+
                 # Things that have markup suppressed

--

Nobu Nakada

=end

#7 - 07/23/2009 09:35 AM - drbrain (Eric Hodel)

=begin

I have applied Nobu's patch to RDoc trunk.

=end

#8 - 09/24/2009 10:48 AM - marcandre (Marc-Andre Lafortune)

- Status changed from Open to Assigned

- Target version set to 1.9.2

=begin

=end

#9 - 01/24/2010 12:17 AM - naruse (Yui NARUSE)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

=begin

This issue was solved with changeset r26386.

Kazuhiro, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end
